/*
    Copyright (c) 2007 SIEGE Development Team
    All rights reserved.
    
    This file is part of libSIEGE.
    
    This software is copyrighted work licensed under the terms of the
    2-clause BSD license. Please consult the file "license.txt" for
    details.
    
    If you did not recieve the file with this program, please email
    Tim Chas <darkuranium@gmail.com>.
*/

#include "siege.h"

static PyMethodDef SiegeMethods[] = {
    {NULL, NULL, 0, NULL}
};

void sgpyInitSiege(PyObject* parent)
{
    PyObject* siege = Py_InitModule("siege", SiegeMethods);
    if(parent != NULL)
        PyModule_AddObject(parent, "siege", siege);

    sgpyInitAudio(siege);
    sgpyInitCore(siege);
    sgpyInitGraphics(siege);
    sgpyInitInput(siege);
}

PyMODINIT_FUNC initsiege(void)
{
    sgpyInitSiege(NULL);
}
